Package org.eclipse.cdt.utils

## Class CygPath

- java.lang.Object
- - org.eclipse.cdt.utils.CygPath

    public class CygPath
    extends Object

Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`CygPath()`
`CygPath​(String command)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`String` `getFileName​(String name)` Use this method for series of translations of paths.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CygPath

    public CygPath​(String command)
            throws IOException

Throws:
  `IOException`

#### CygPath

    public CygPath()
            throws IOException

Throws:
  `IOException`

### Method Detail

#### getFileName

    public String getFileName​(String name)
                       throws IOException

Use this method for series of translations of paths. If a single path needs to be translated consider `Cygwin.cygwinToWindowsPath(String)`.

Throws:
  `IOException`

#### dispose

    public void dispose()